Dump
Workspace export and diagnostic data.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
text/event-stream
curl -X POST "https://example.com/api/v1/dump/export/snapshot" \ -H "Content-Type: application/json" \ -d '{}'{ "event": "message", "data": { "type": "start", "version": 1, "spaceId": "string", "startedAt": "2019-08-24T14:15:22Z", "tables": [ "nodes" ], "columns": { "property1": [ "string" ], "property2": [ "string" ] } }, "id": "string", "retry": 0}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/dump/export/asset-attachment" \ -H "Content-Type: application/json" \ -d '{ "assetId": "string" }'{ "assetId": "string", "attachmentId": "string", "downloadUrl": "string", "materializedAttachment": { "id": "string", "spaceId": "string", "storageKey": "string", "fileName": "string", "mimeType": "string", "sizeBytes": 0, "contentHash": "string", "context": "busabase-backup-dependency", "userId": "string", "metadata": { "busabaseBackupDependency": { "version": 1, "sourceAssetId": "string", "sourceAttachmentId": "string", "sourceSpaceId": "string", "projection": "readable-asset-content", "originalAttachmentOwnershipOmitted": true } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/dump/export/tables" \ -H "Content-Type: application/json" \ -d '{ "table": "nodes" }'{ "rows": [ { "property1": null, "property2": null } ], "nextCursor": "string"}curl -X GET "https://example.com/api/v1/dump/export/attachments/string/content"{ "attachmentId": "string", "storageKey": "string", "downloadUrl": "string", "mimeType": "string", "contentHash": "string", "sizeBytes": 0}curl -X GET "https://example.com/api/v1/dump/export/asset-texts/string/content"{ "assetId": "string", "textStorageKey": "string", "downloadUrl": "string", "textContentHash": "string", "byteCount": 0}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/dump/export/doc-bodies" \ -H "Content-Type: application/json" \ -d '{ "nodeIds": [ "string" ] }'{ "supportedRichNodeTypes": [ "html" ], "bodies": [ { "nodeId": "string", "markdown": "string", "bodyFormat": "html", "nodeType": "html" } ]}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/dump/import/begin" \ -H "Content-Type: application/json" \ -d '{ "sourceSpaceId": "string" }'{ "sessionId": "string", "exactReplayProtocol": 1, "blobChunkProtocol": 1}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/dump/import/tables" \ -H "Content-Type: application/json" \ -d '{ "sessionId": "string", "table": "nodes" }'{ "inserted": 0, "validated": true, "validationComplete": true, "validatedRows": 0}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/dump/import/commit" \ -H "Content-Type: application/json" \ -d '{ "sessionId": "string" }'{ "ok": true, "warnings": [ "string" ], "notices": [ "string" ]}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/dump/import/abort" \ -H "Content-Type: application/json" \ -d '{ "sessionId": "string" }'{ "ok": true}